groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul King (JIRA)" <j...@apache.org>
Subject [jira] [Created] (GROOVY-8308) Bootstrapping the source distribution
Date Fri, 01 Sep 2017 11:00:00 GMT
Paul King created GROOVY-8308:
---------------------------------

             Summary: Bootstrapping the source distribution
                 Key: GROOVY-8308
                 URL: https://issues.apache.org/jira/browse/GROOVY-8308
             Project: Groovy
          Issue Type: Improvement
            Reporter: Paul King
            Priority: Minor


The breaking changes in Gradle 4 mean that we can't use our current build file across versions
<4 and 4+. So our trick of using (almost) any version of Gradle just to do the wrapper
bootstrap step can no longer be done. We might be able to get around this by moving the gradleVersion
property to the {{wrapper.gradle}} build file and calling Gradle with {{-f gradle/wrapper.gradle}}
or similar.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message